org.jetlang.remote.acceptor

## Class Acceptor

- java.lang.Object
- - org.jetlang.remote.acceptor.Acceptor

All Implemented Interfaces:
  Runnable

    public class Acceptor
    extends Object
    implements Runnable

### Nested Class Summary

Nested Classes
`static interface` `Acceptor.ClientHandler`
`static interface` `Acceptor.ErrorHandler`

### Constructor Summary

Constructors
Constructor and Description
`Acceptor(ServerSocket port, Acceptor.ErrorHandler handler, Acceptor.ClientHandler clientHandler)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `run()`
`void` `stop()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Acceptor

    public Acceptor(ServerSocket port,
                    Acceptor.ErrorHandler handler,
                    Acceptor.ClientHandler clientHandler)

### Method Detail

#### run

    public void run()

Specified by:
  `run` in interface `Runnable`

#### stop

    public void stop()